<?php
// Insert the NuSOAP code
require_once('lib/nusoap.php');   
// This is location of the remote service
$client = new soapclient('http://localhost/ws/helloworld-server.php');  

// Check for any errors from the remote service
$err = $client->getError();
if ($err) {
    echo '<p><b>Error: ' . $err . '</b></p>';
}

// Call the SOAP method on the remote service
$person = array('firstname' => 'Fred', 'age' => 22);
$result = $client->call(
    'hello',                    // method name
    array('message' => new soapval('id','Person',$person,false,'urn:AnyURN'))
);

// Check for any faults reported by the remote service
if ($client->fault) {
    echo '<p><b>Fault: ';
    print_r($result);
    echo '</b></p>';
} else {
    // Check for any errors from the remote service
    $err = $client->getError();
    if ($err) {
    	echo '<p><b>Error: ' . $err . '</b></p>';
    } else {
        // If everything is OK display the result
	print $result['output_string'] . ' ';
	if ( $result['allow'] == 1 ) { 
		print "You may continue..."; 
	} else { 
		print "You are too young!"; 
	} 
    }
}

// Display the request and response
echo '<h2>Request</h2>';

	$text = htmlspecialchars($client->request, ENT_QUOTES);
	$remove = array ("<"," x"); 
	$insert = array ("<br><","<br>    x"); 
	$text = str_replace($remove, $insert, $text);

echo '<pre>' . $text . '</pre>';
echo '<h2>Response</h2>';

	$text = htmlspecialchars($client->response, ENT_QUOTES);
	$remove = array ("<"," x"); 
	$insert = array ("<br><","<br>    x"); 
	$text = str_replace($remove, $insert, $text);

echo '<pre>' . $text . '</pre>';

// Display the debug messages
echo '<h2>Debug</h2>';
echo '<pre>' . htmlspecialchars($client->debug_str, ENT_QUOTES) . '</pre>';

?>
