<?php
// Insert the NuSOAP code
require_once('lib/nusoap.php');

$item = "FLW947";
$quantity = 22;
$to = "RH15 9UZ";

print "<p>Shop: <blockquote>\"Do you have $quantity of item $item in stock?  
       When can they be delivered to $to and at what cost?\"</blockquote></p>\n";

// The shop can query the warehouse to see if the items are in 
// stock and if/when it can be delivered.

// This is location of the remote service
$client = new soapclient('http://localhost/ws/warehouse.php');

// Call the SOAP method on the remote service
$order = array('item' => $item, 'quantity' => $quantity, 'to' => $to);
$result = $client->call(
    'checkstock',                    // method name
    array('order' => new soapval('orderquery','Order',$order,false,'urn:MyURN'))
);

print $result['details'];

// Display the request and response
echo '<h2>Request</h2>';

	$text = htmlspecialchars($client->request, ENT_QUOTES);
	$remove = array ("<"," x"); 
	$insert = array ("<br><","<br>    x"); 
	$text = str_replace($remove, $insert, $text);

echo '<pre>' . $text . '</pre>';
echo '<h2>Response</h2>';

	$text = htmlspecialchars($client->response, ENT_QUOTES);
	$remove = array ("<"," x"); 
	$insert = array ("<br><","<br>    x"); 
	$text = str_replace($remove, $insert, $text);

echo '<pre>' . $text . '</pre>';

// Display the debug messages
echo '<h2>Debug</h2>';
echo '<pre>' . htmlspecialchars($client->debug_str, ENT_QUOTES) . '</pre>';

?>
